package edu.nyu.scps.progress;

import android.os.Handler;
import android.os.Message;
import android.util.Log;

public class ProgressThread extends Thread {
	Handler handler;	//created by main thread
	boolean isRunning;

	public ProgressThread(Handler handler) {
		this.handler = handler;
	}

	@Override
	public void run() {
		isRunning = true;
	
		for (int i = 0; isRunning; ++i) {
			try {
				Thread.sleep(100);	//milliseconds
			} catch (InterruptedException interruptedException) {
				Log.e("ERROR", "sleep interrupted", interruptedException);
			}

			//Send a message to the main thread.
			final Message message = handler.obtainMessage();
			message.arg1 = i;
			handler.sendMessage(message);
		}
	}

	//The main thread calls setState(false) to stop this thread.
	public void setState(boolean b) {
		isRunning = b;
	}

}
